# generator-drupal-bootstrap-theme 

A generator for [Yeoman](http://yeoman.io).

## Getting Started

### For those familiar with Drupal & Yeoman

#### Requirements

Currently, this only works for Drupal 7.x

As noted on [Bootstrap](http://drupal.org/project/bootstrap) your theme requires the [jQuery Update Module](https://drupal.org/project/jquery_update).

You will also need to install the Twitter Bootstrap base theme, this generator currently requires [7.x-2.2](http://ftp.drupal.org/files/projects/bootstrap-7.x-2.2.tar.gz)

So you've installed the generator using the instructions below and you're ready to get started? Great!

Create your theme directory in your chosen place and then run 

```
$ yo drupal-bootstrap-theme
```

and follow the prompts.

After your theme's created, run 

```
$ grunt watch
```

And all your LESS changes will be compiled automagically on save.

Turn off Drupal CSS Caching for best results while developing your theme.

### What is Drupal?

[Drupal](http://drupal.org) is an Open Source CMS used by tons and tons of websites.

It lets you create themes, such as the [Bootstrap](http://drupal.org/project/bootstrap) responsive theme based on [Twitter Bootstrap](http://getbootstrap.com)

This software helps get you started creating Drupal themes with Twitter Bootstrap.

### What is Yeoman?

Trick question. It's not a thing. It's this guy:

![](http://i.imgur.com/JHaAlBJ.png)

Basically, he wears a top hat, lives in your computer, and waits for you to tell him what kind of application you wish to create.

Not every new computer comes with a Yeoman pre-installed. He lives in the [npm](https://npmjs.org) package repository. You only have to ask for him once, then he packs up and moves into your hard drive. *Make sure you clean up, he likes new and shiny things.*

```
$ npm install -g yo
```

### Yeoman Generators

Yeoman travels light. He didn't pack any generators when he moved in. You can think of a generator like a plug-in. You get to choose what type of application you wish to create, such as a Backbone application or even a Chrome extension.

To install generator-drupal-bootstrap-theme from npm, run:

```
$ npm install -g generator-drupal-bootstrap-theme
```

Finally, initiate the generator:

```
$ yo drupal-bootstrap-theme
```

### Getting To Know Yeoman

Yeoman has a heart of gold. He's a person with feelings and opinions, but he's very easy to work with. If you think he's too opinionated, he can be easily convinced.

If you'd like to get to know Yeoman better and meet some of his friends, [Grunt](http://gruntjs.com) and [Bower](http://bower.io), check out the complete [Getting Started Guide](https://github.com/yeoman/yeoman/wiki/Getting-Started).


## License

[MIT License](http://en.wikipedia.org/wiki/MIT_License)
